--- title: "Get Specific Project" url: https://docs.catalyst.zoho.com/en/api/code-reference/general/projects/get-specific-project/ description: "This API enables you to fetch the details of a specific project that a user has created from their Catalyst account." last_updated: 2026-08-17T12:16:04Z service: All Services type: api --- # Catalyst Projects The Project APIs enable you to update, delete, and obtain details of a [Catalyst project](https://docs.catalyst.zoho.com/en/getting-started/catalyst-projects). You can perform these actions from the Catalyst console as well. [Catalyst CLI](https://docs.catalyst.zoho.com/en/cli/v1/cli-command-reference/) also enables you to create a project remotely and initialize resources in it. # Get the Details of a Specific Project ### Description This API enables you to fetch the details of a specific project that the Catalyst user, such as the developer or a [collaborator](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/collaborators/), logged in currently has created from their Catalyst account. The project is referred to by its `project_id`. The project details fetched are of the same Catalyst account the API is being executed from. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id} - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope scope=ZOHOCATALYST.projects.Read ### Response Details The response will contain the details of the project including the project domain details such as the `project_domain_id` and `project_domain_name`, and the details of the user that created it, such as their `email_id` and `user_id`. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007 \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "platforms": [], "project_name": "BillingDesk", "created_by": { "zuid": 780776954, "is_confirmed": false, "email_id": "amelia-burrows@zylker.com", "first_name": "Amelia", "last_name": "Burrows", "user_type": "Admin", "user_id": 11811000000003003 }, "created_time": "Jun 04, 2023 04:19 PM", "redirect_url": "", "project_domain_details": { "project_domain_id": 10060895541, "project_domain_name": "billingdesk-781316834.development", "project_domain": "https://billingdesk-781316834.development.catalystserverless.com", "user_auth": { "userAuth": {}, "createdTime": null, "createdBy": null }, "mobile_auth": {} }, "db_type": "SINGLE_DB", "id": 11811000000315013, "project_type": "Live", "env_details": [ { "id": 11811000000315049, "env_name": "Development", "env_type": 3, "env_status": "Active", "project_details": { "project_name": "BillingDesk", "id": 11811000000315013, "project_type": "Live" }, "is_default": true, "env_zgid": "781316834", "action_required": false } ], "timezone": "Asia/Kolkata" } } ```